<template>
  <section class="col-span-2 mx-auto">
    <p class="mb-8 title">Pemberi bantuan di sekitar Anda</p>
    <Card
      v-for="data in listData"
      :key="data._id"
      width="554px"
      green
      :title="data.name"
      :item-details="data.item_details"
      :name="data.provider_name"
      :verified="data.provider_name !== null && data.provider_name !== undefined"
      :radius="data.distance"
    />
  </section>
</template>

<script>
const Card = () => import('~/components/Card');
import { mapState } from 'vuex';
export default {
  components: {
    Card,
  },
  computed: {
    ...mapState({
      listData: state => state.contributorList.list_data,
      loading: state => state.contributorList.loading,
    }),
  },
  async mounted() {
    await this.$store.dispatch('clientInfo/fetchCurrentPosition');
    this.$store.dispatch('contributorList/fetchListData');
  },
};
</script>
